// Persistence of Vision Ray Tracer Scene Description File
// File: BevelGear.pov
// Vers: 3.1
// Desc: Bevel Gear Example 
// Date: 25 July 1999
// Auth: D.G.Wilkinson
//

#version 3.1;

#include "colors.inc"
#include "textures.inc"
#include "metals.inc"
#include "golds.inc"
#include "bevelgear.inc" 

global_settings
{
  assumed_gamma 1.0
}

camera 
{
  location  <-10,2,2>
  direction 1.5*z
  right     4/3*x
  look_at   <1,0.75,0>
}
  
sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

plane { z, 60 pigment {rgb<0.6941,0.7098,0.1254>} rotate y*230}
plane { y ,-10 pigment {rgb<0.6235,0.1176,0.7921>}}

light_source
{
  <-30, 30, -30> 
  color rgb 0.8
} 

light_source
{
  <30, 30, 10> 
  color rgb 0.8
}

#declare Clr = 0.15   // clearance at the base of the tooth (default is 0.2)
difference {
        union {
           object {
             BevelGear(36,10,6,1)      
             rotate y*clock*degrees(2*pi/36) // animation                                                           
          }
           cone { <0,-BackFace,0> BackRad    // this is the extension of the body at the
                  <0,-BackFace-0.25,0> BackRad-0.25*cos(ConeAngle) // back of the gear
          }      
          texture { T_Chrome_4B }
        }
     cylinder { -y*10, y*4, 0.6}  // make a hole for the shaft
}

object {          
   BevelGear(10,36,6,1)
   rotate -y*clock*degrees(2*pi/10)  // animation
   rotate y*180/10
   rotate 90*x                                   
   texture { T08 }
}

union{
        difference {
                union {
                   object {
                     BevelGear(60,40,12,0.5)      
                     rotate y*clock*degrees(2*pi/36) // animation                                                           
                  }
                   cone { <0,-BackFace,0> BackRad   // this is the extension of the body at the
                          <0,-BackFace-0.25,0> BackRad-0.25*cos(ConeAngle) // back of the gear
                  }      
                  texture { T_Chrome_4B }
                }
             cylinder { -y*10, y*4, 0.6}  // make a hole for the shaft
        }

        object {          
           BevelGear(40,60,12,0.5)
           rotate -y*clock*degrees(2*pi/40)
           rotate y*180/40
           rotate 90*x                                   
           texture { T08 }
        }
       rotate y*180
       rotate z*90
       translate <2,2,1>
}       
